Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.cardcontact.opencard.service.isocard
Class IsoCardState

    java.lang.Object
      de.cardcontact.opencard.service.isocard.IsoCardState

    public class IsoCardState

extends java.lang.Object

Object to hold information card related card service information

Author:
  Andreas Schwier

Constructor Summary
`IsoCardState()` CTOR for IsoCardState object

Method Summary
`boolean` | `elementaryFileSelected()`
`CardFileInfo` | `getFCI()`
`CardFilePath` | `getPath()`
`byte` | `getSelectCommandResponseQualifier()`
`boolean` | `isLeInSelectEnabled()`
`void` | `setFCI(CardFileInfo newFCI, boolean isEF)`
`void` | `setLeInSelectFlag(boolean flag)`
`void` | `setPath(CardFilePath newPath)`
`void` | `setSelectCommandResponseQualifier(byte p2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsoCardState

    public IsoCardState()

  CTOR for IsoCardState object

Method Detail

### getPath

    public CardFilePath getPath()

### setPath

    public void setPath(CardFilePath newPath)

### getFCI

    public CardFileInfo getFCI()

### setFCI

    public void setFCI(CardFileInfo newFCI,
                       boolean isEF)

### elementaryFileSelected

    public boolean elementaryFileSelected()

### setSelectCommandResponseQualifier

    public void setSelectCommandResponseQualifier(byte p2)

### getSelectCommandResponseQualifier

    public byte getSelectCommandResponseQualifier()

### setLeInSelectFlag

    public void setLeInSelectFlag(boolean flag)

### isLeInSelectEnabled

    public boolean isLeInSelectEnabled()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD